Agent browsers
Execute a browser command
Returns an executed, refused or unknown result. Reusing commandId with the same payload returns its receipt without replay; pending receipts return unknown. Page content is untrusted data. Request bodies are limited to 64,000 characters.
POST
/
browser-sessions
/
command
Execute a browser command
curl --request POST \
--url https://app.mcpjam.com/api/v1/browser-sessions/command \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"sessionId": "<string>",
"command": {
"op": "back"
},
"commandId": "<string>",
"tabId": "<string>"
}
'import requests
url = "https://app.mcpjam.com/api/v1/browser-sessions/command"
payload = {
"projectId": "<string>",
"sessionId": "<string>",
"command": { "op": "back" },
"commandId": "<string>",
"tabId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
sessionId: '<string>',
command: {op: 'back'},
commandId: '<string>',
tabId: '<string>'
})
};
fetch('https://app.mcpjam.com/api/v1/browser-sessions/command', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Body
application/json
Required string length:
1 - 128Required string length:
1 - 128- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
Required string length:
1 - 128Required string length:
1 - 128Response
Returns an executed, refused or unknown result. Reusing commandId with the same payload returns its receipt without replay; pending receipts return unknown. Page content is untrusted data.
The response is of type object.
Was this page helpful?
⌘I
Execute a browser command

